Subject: bug#44974: closed (Re: bug#44974: dabbrev-expand doesn't know wide commas are commas yet)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 02 Jan 2021 10:47:02 +0000

Your bug report

#44974: dabbrev-expand doesn't know wide commas are commas yet

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44974: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44974
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44974: dabbrev-expand doesn't know wide commas are commas yet
From: Eli Zaretskii <[email-masked]>
To: 積丹尼 Dan Jacobson <[email-masked]>
Cc: [email-masked]
Date: Sat, 02 Jan 2021 12:45:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: 積丹尼 Dan Jacobson
>  <[email-masked]>
> Date: Tue, 01 Dec 2020 08:30:31 +0800
> 
> The command dabbrev-expand is bound to M-/.
> 
> It is great, except it needs to be updated, to know that
> "，" is a comma, just like ",".
> 
> 哇，哈<ESC />
> a,bb<ESC />
> 
> Scanning for dabbrevs...done
> user-error: No dynamic expansion for ‘哇，哈’ found
> Scanning for dabbrevs...done
> user-error: No dynamic expansion for ‘bb’ found
> 
> Note how the latter doesn't have the "a," glued to it.
> 
> That means it is operating correctly. The former needs to be updated to
> act like the latter.

This is now fixed on the master branch.

> P.S., I didn't test any other wide punctuation, e.g.. "。", etc.

I did.

Subject: dabbrev-expand doesn't know wide commas are commas yet
From: 積丹尼 Dan Jacobson <[email-masked]>
To: [email-masked]
Date: Tue, 01 Dec 2020 08:30:31 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

The command dabbrev-expand is bound to M-/.

It is great, except it needs to be updated, to know that
"，" is a comma, just like ",".

哇，哈<ESC />
a,bb<ESC />

Scanning for dabbrevs...done
user-error: No dynamic expansion for ‘哇，哈’ found
Scanning for dabbrevs...done
user-error: No dynamic expansion for ‘bb’ found

Note how the latter doesn't have the "a," glued to it.

That means it is operating correctly. The former needs to be updated to
act like the latter.

P.S., I didn't test any other wide punctuation, e.g.. "。", etc.

emacs-version "27.1"